struct EMA_SIMPLE
{
private:
  double Value;

public:
  const double Alpha;

  EMA_SIMPLE( const int period ) : Alpha(1.0 / period), Value(0)
  {
  }

  double Set( const double NewValue )
  {
    if (this.Value)
      this.Value += (NewValue - this.Value) * this.Alpha;
    else
      this.Value = NewValue;

    return(this.Value);
  }

  double Get( void ) const
  {
    return(this.Value);
  }
};